<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.picketlink-federation.federation.identity-provider.attribute-manager">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="class-name,code,module"/>
        <elem name="addr-params" value="profile,subsystem,federation,identity-provider,attribute-manager"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.picketlink-federation"/>
    </annotation>
    <refs>
        <ref feature="subsystem.picketlink-federation.federation.identity-provider"/>
        <ref feature="subsystem.picketlink-federation.federation"/>
        <ref feature="subsystem.picketlink-federation"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="federation" feature-id="true"/>
        <param name="identity-provider" feature-id="true"/>
        <param name="attribute-manager" feature-id="true"/>
        <param name="code" nillable="true"/>
        <param name="module" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="picketlink-federation"/>
        <param name="class-name" nillable="true"/>
    </params>
</feature-spec>